supplier_invoice.e_invoicing_received

Fired when a supplier e-invoice is received via the Pennylane PA.

ℹ️

This event requires one of the following scopes: supplier_invoices:readonly, supplier_invoices:all

The full invoice details can be retrieved via GET /api/external/v2/supplier_invoices/:id.

⚠️ This event is not fired for manually created, manually imported or API-created supplier invoices.


Payload fields

FieldTypeDescription
idintegerInternal ID of the Supplier Invoice.
created_atstring (ISO 8601)Timestamp of when the invoice was created.
credit_notebooleanReturns true if the object is a credit note.

Example payload

{
  "id": 987654,
  "event": "supplier_invoice.e_invoicing_received",
  "retry_count": 0,
  "created": 1657875952369,
  "data": {
   	"context": {
      "company_id": "abc-123",
      "firm_id": "firm-456"
  },
  "object": {
    "id": 789,
    "created_at": "2024-06-01T10:30:00Z",
		"credit_note": false
  }
}